summaryrefslogtreecommitdiffstats
path: root/source.local/a/lvm2
diff options
context:
space:
mode:
Diffstat (limited to 'source.local/a/lvm2')
-rw-r--r--source.local/a/lvm2/doinst.sh.gzbin0 -> 271 bytes
-rw-r--r--source.local/a/lvm2/fix-build-with-udev-183.patch.gzbin0 -> 701 bytes
-rwxr-xr-xsource.local/a/lvm2/lvm2.SlackBuild170
-rw-r--r--source.local/a/lvm2/slack-desc19
4 files changed, 189 insertions, 0 deletions
diff --git a/source.local/a/lvm2/doinst.sh.gz b/source.local/a/lvm2/doinst.sh.gz
new file mode 100644
index 0000000..9115845
--- /dev/null
+++ b/source.local/a/lvm2/doinst.sh.gz
Binary files differ
diff --git a/source.local/a/lvm2/fix-build-with-udev-183.patch.gz b/source.local/a/lvm2/fix-build-with-udev-183.patch.gz
new file mode 100644
index 0000000..04eb882
--- /dev/null
+++ b/source.local/a/lvm2/fix-build-with-udev-183.patch.gz
Binary files differ
diff --git a/source.local/a/lvm2/lvm2.SlackBuild b/source.local/a/lvm2/lvm2.SlackBuild
new file mode 100755
index 0000000..e84954a
--- /dev/null
+++ b/source.local/a/lvm2/lvm2.SlackBuild
@@ -0,0 +1,170 @@
+#!/bin/sh
+
+# Copyright 2008, 2009, 2010, 2011, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+VERSION=$(echo LVM2.*.tar.xz | cut -f 2- -d . | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
+BUILD=${BUILD:-4}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
+else
+ # Automatically determine the architecture we're building on:
+ if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ fi
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-lvm2
+
+rm -rf $PKG
+mkdir -p $PKG
+cd $TMP
+rm -rf LVM2.$VERSION
+tar xvf $CWD/LVM2.$VERSION.tar.xz || exit 1
+cd LVM2.$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Not yet.
+#zcat $CWD/fix-build-with-udev-183.patch.gz | patch -p1 --verbose || exit 1
+
+# uid 0 = root
+# gid 6 = disk
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-readline \
+ --enable-cmdlib \
+ --enable-dmeventd \
+ --enable-applib \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --with-usrlibdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --enable-realtime \
+ --with-lvm1=internal \
+ --enable-pkgconfig \
+ --enable-udev_sync \
+ --enable-udev_rules \
+ --with-udev-prefix="" \
+ --with-device-uid=0 \
+ --with-device-gid=6 \
+ --with-device-mode=0660 \
+ --with-default-locking-dir=/run/lock/lvm \
+ --with-default-run-dir=/run/lvm \
+ --with-clvmd-pidfile=/run/lvm/clvmd.pid \
+ --with-cmirrord-pidfile=/run/lvm/cmirrord.pid \
+ --with-dmeventd-pidfile=/run/lvm/dmeventd.pid \
+ --build=$TARGET
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mv $PKG/etc/lvm/lvm.conf $PKG/etc/lvm/lvm.conf.new
+
+if [ -d $PKG/usr/share/man ]; then # --mandir was ignored
+ mv $PKG/usr/share/man $PKG/usr
+ rmdir $PKG/usr/share
+fi
+
+# Move the binary and shared library to /sbin and /lib{,64}:
+mkdir -p $PKG/lib${LIBDIRSUFFIX}
+( cd $PKG/usr/lib${LIBDIRSUFFIX}
+ for file in lib*.so.?.* ; do
+ mv $file ../../lib${LIBDIRSUFFIX}
+ ln -sf ../../lib${LIBDIRSUFFIX}/$file .
+ done
+)
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
+mkdir -p $PKG/usr/doc/LVM2.$VERSION
+cp -a \
+ COPYING* INSTALL README* VERSION WHATS_NEW \
+ $PKG/usr/doc/LVM2.$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/lvm2-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/a/lvm2/slack-desc b/source.local/a/lvm2/slack-desc
new file mode 100644
index 0000000..72dc87a
--- /dev/null
+++ b/source.local/a/lvm2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lvm2: lvm2 (Logical Volume Manager version 2)
+lvm2:
+lvm2: Heinz Mauelshagen's LVM (Logical Volume Manager) for Linux.
+lvm2: LVM adds an additional layer between the physical peripherals and the
+lvm2: low-level I/O interface to get a logical view of disks. This allows
+lvm2: the concatenation of several disks (so-called physical volumes or PVs)
+lvm2: to form a storage pool (so-called Volume Group or VG) with allocation
+lvm2: units called physical extents (called PE). With LVM, you can extend,
+lvm2: resize, or relocate storage dynamically.
+lvm2:
+lvm2: